import './lang' //
import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store/index";
import "./assets/css/reset.css";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
import translate from "i18n-jsautotranslate";
import UUID from "vue3-uuid";
import "@/permission"; 
import "element-plus/dist/index.css";
import "./mocks/mock";
const app = createApp(App);
app.config.globalProperties.$translate = translate;
app.use(store).use(UUID).use(router).mount("#app");
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}
